Module | Sequel::SQL::SubscriptMethods
In: | lib/sequel/sql.rb

Methods that create Subscripts (SQL array accesses).

### Methods

sql_subscript

### Public Instance methods

sql_subscript(*sub)

Return an SQL array subscript with the given arguments.

      :array.sql_subscript(1) # SQL: array[1]
      :array.sql_subscript(1, 2) # SQL: array[1, 2]

[Source]

         # File lib/sequel/sql.rb, line 385
    385:       def sql_subscript(*sub)
    386:         Subscript.new(self, sub.flatten)
    387:       end

[Validate]